VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsCloud usage submission

Submit cloud usage

Submit cloud usage data

POST
/cloudUsageSubmission

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

results*array<>

Array of usage submission results from the cloud provider

productCode*string

The product code identifying the cloud marketplace product

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/cloudUsageSubmission" \  -H "Content-Type: application/json" \  -d '{    "results": [      {        "status": "ACCEPTED",        "usageWindow": {          "start": "2019-08-24T14:15:22Z",          "end": "2019-08-24T14:15:22Z"        },        "correlationId": "string",        "idempotencyKey": "string",        "meterDimension": "string",        "acceptedQuantity": 0,        "partnerSubmission": {          "property1": {            "receivedAt": "string",            "status": "SUCCESS"          },          "property2": {            "receivedAt": "string",            "status": "SUCCESS"          }        },        "quantitySubmitted": 0,        "timestampSubmitted": "2019-08-24T14:15:22Z",        "awsCustomerIdentifier": "string"      }    ],    "productCode": "string"  }'
{}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}